#!/bin/sh
#

EXT=apr
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

DEPS=""

NOTFOUND=""
for a in compiletc bash file squashfs-tools $DEPS
         do tce-load -i $a || tce-load -iwl $a || NOTFOUND=x
done
test -z "$NOTFOUND" || exit

#make clean

sed -i -e '/sizeof(off_t/s#!= 4#!= 8#' configure
sed -i -e '/4yes/s/4yes/8yes/' configure

./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--enable-threads \
	--enable-posix-shm \
	|| exit

make || exit

make install DESTDIR=$TCZ-dev
for a in $(find $TCZ-dev -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip --strip-unneeded $a; done

mkdir -p $TCZ/usr/local/lib

mv $TCZ-dev/usr/local/lib/*.so* $TCZ/usr/local/lib

sudo chown -R root.root $TCZ*

mksquashfs $TCZ/ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
